summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Timothy Pollard <t.pollard.12@scu.edu.au>2010-05-11 20:02:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:06 +0200
commit28e07c5b7ec1d76d3a6183a26644f4f43511b864 (patch)
tree5e7746f5bc7f80762dc92cbc5a6cb60418da8fdd
parent90500bd86f52dcc9d4bbe26e150d647175675f81 (diff)
downloadslackbuilds-28e07c5b7ec1d76d3a6183a26644f4f43511b864.tar.gz
slackbuilds-28e07c5b7ec1d76d3a6183a26644f4f43511b864.tar.xz
system/pwgen: Added to 12.0 repository
-rw-r--r--system/pwgen/README2
-rw-r--r--system/pwgen/pwgen.SlackBuild92
-rw-r--r--system/pwgen/pwgen.info8
-rw-r--r--system/pwgen/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/system/pwgen/README b/system/pwgen/README
new file mode 100644
index 0000000000..c22befe4b8
--- /dev/null
+++ b/system/pwgen/README
@@ -0,0 +1,2 @@
+Pwgen is a small, GPL'ed password generator which creates passwords which
+can be easily memorized by a human.
diff --git a/system/pwgen/pwgen.SlackBuild b/system/pwgen/pwgen.SlackBuild
new file mode 100644
index 0000000000..9273fa5747
--- /dev/null
+++ b/system/pwgen/pwgen.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+#
+# A slackbuild script for pwgen
+#
+# Copyright (c) 2007, Timothy Pollard
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
+# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+# No additional license terms added
+
+APP=pwgen
+VERSION=2.06
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-02 -march=i486 -mtune=i486"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-02 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG $TMP/$APP-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP || exit 1
+tar -xzvf $CWD/$APP-$VERSION.tar.gz || exit 1
+cd $APP-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit
+
+make || exit
+make install DESTDIR=$PKG || exit
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -t $PKG/usr/doc/$APP-$VERSION ChangeLog
+cp $CWD/$APP.SlackBuild $PKG/usr/doc/$APP-$VERSION/
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cp $CWD/slack-desc $PKG/install/
+
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
+ | xargs strip -- strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
+ | xargs strip -- strip-unneeded 2> /dev/null
+
+if [ -d $PKG/usr/man ]; then
+ cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ); do
+ ln -s $( readlink $i ).gz $i.gz;
+ rm $i;
+ done
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD.tgz
diff --git a/system/pwgen/pwgen.info b/system/pwgen/pwgen.info
new file mode 100644
index 0000000000..c36f633c0b
--- /dev/null
+++ b/system/pwgen/pwgen.info
@@ -0,0 +1,8 @@
+PRGNAM="pwgen"
+VERSION="2.06"
+HOMEPAGE="http://sourceforge.net/projects/pwgen/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/pwgen/pwgen-2.06.tar.gz"
+MD5SUM="935aebcbe610fbc9de8125e7b7d71297"
+MAINTAINER="Timothy Pollard"
+EMAIL="t.pollard.12@scu.edu.au"
+APPROVED="rworkman"
diff --git a/system/pwgen/slack-desc b/system/pwgen/slack-desc
new file mode 100644
index 0000000000..fdc1c14d74
--- /dev/null
+++ b/system/pwgen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pwgen: pwgen (A small tool to generate semi-random passwords)
+pwgen:
+pwgen: Pwgen is a small, GPL'ed password generator which creates passwords
+pwgen: which can be easily memorized by a human.
+pwgen:
+pwgen: Note: The passwords generated by this program aren't as secure as
+pwgen: fully random passwords, but they are certainly better than
+pwgen: "password1" or similar :-).
+pwgen:
+pwgen: http://sourceforge.net/projects/pwgen/
+pwgen: